#!/usr/bin/python

import pygtk
pygtk.require('2.0')
import gtk

class Application(object):
    def __init__(self, *args, **kwargs):
        for key in kwargs:
            setattr(self, key, kwargs[key])
        self._create_main_window()

    def _create_main_window(self):
        self.win = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.win.connect("destroy", gtk.main_quit)
        self.win.set_size_request(300, 150)
        self.win.set_border_width(20)
        self.win.set_position(gtk.WIN_POS_CENTER)
        self.win.add(gtk.Label("Hello World"))

    def run(self):
        self.win.show_all()
        gtk.main()

